Create output
- Base URL
-
https://{kibana_url}
- POST /api/fleet/outputs
- POST /s/{space_id}/api/fleet/outputs
Create a new Fleet output.
Required authorization
- Privileges fleet-settings-all
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
type: elasticsearch
type: remote_elasticsearch
-
shipperobject -
Same fields as
shipperinnew_output_elasticsearch
type: kafka
-
kerberosobjectnullable -
oauth2objectnullable -
expiry_buffernumber · min: 0 · max: 86400 -
How many seconds before a token's expiry the agent requests a new one. It defaults to
300when not set. -
timeoutnumber · min: 0 · max: 86400 -
How long, in seconds, a request to the token endpoint can take before it times out. There is no limit when it is not set.
-
proxy_idstringnullable deprecated -
Kafka outputs do not support proxy configuration. This field is accepted for backwards compatibility but is ignored — it is cleared to null on save and has no effect on the compiled agent policy.
-
shipperobject -
Same fields as
shipperinnew_output_elasticsearch
Responses
Successful response
-
itemunion oneOfrequired -
One of:
(determined by
type) -
shipperobject -
Same fields as
shipperinoutput_response_elasticsearch -
kerberosobjectnullable -
oauth2objectnullable -
expiry_buffernumber · min: 0 · max: 86400 -
How many seconds before a token's expiry the agent requests a new one. It defaults to
300when not set. -
timeoutnumber · min: 0 · max: 86400 -
How long, in seconds, a request to the token endpoint can take before it times out. There is no limit when it is not set.
-
proxy_idstringnullable deprecated -
Kafka outputs do not support proxy configuration. This field is accepted for backwards compatibility but is ignored — it is cleared to null on save and has no effect on the compiled agent policy.
-
shipperobject -
Same fields as
shipperinoutput_response_elasticsearch
type: elasticsearch
type: remote_elasticsearch
type: kafka